Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceAcceleratorAttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.InheritedAttributeParser
              com.pietschy.command.configuration.impl.FaceAcceleratorAttributeParser

     class FaceAcceleratorAttributeParser

extends InheritedAttributeParser

Parser for the accelerator property.

Constructor Summary
`FaceAcceleratorAttributeParser()` Creates a new instance.

Method Summary
`protected java.lang.Object` | `parseValue(java.lang.String propertyName, java.lang.String value, ExceptionFactory factory)` Parses the value using `FaceTextAttributeParser.parseAccelerator(CharSequence)`.

Methods inherited from class com.pietschy.command.configuration.impl.InheritedAttributeParser
`parseEmptyImpl, parseImpl`

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaceAcceleratorAttributeParser

    public FaceAcceleratorAttributeParser()

  Creates a new instance.

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String propertyName,
                                          java.lang.String value,
                                          ExceptionFactory factory)
                                   throws java.lang.Exception

  Parses the value using `FaceTextAttributeParser.parseAccelerator(CharSequence)`.

  Specified by:
    `parseValue` in class `InheritedAttributeParser`
  Parameters:
    `propertyName` - the property name.
    `value` - the proerty value
    `factory` - the exception factory to use.
  Returns:
    the parsed value.
  Throws:
    `java.lang.Exception` - if there was an error parsing the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch